Intersect (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.resources, class: Intersect

Package org.apache.tools.ant.types.resources

# Class Intersect

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.BaseResourceCollectionContainer
org.apache.tools.ant.types.resources.Intersect

All Implemented Interfaces:
  `Cloneable`, `Iterable<Resource>`, `ResourceCollection`, `AppendableResourceCollection`

public class Intersect extends BaseResourceCollectionContainer
ResourceCollection representing the intersection of multiple nested ResourceCollections.

Since:
  Ant 1.7

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Intersect()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Collection<Resource>`
  `getCollection()`
  Calculate the intersection of the nested ResourceCollections.

  ### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionContainer

  `add, addAll, clear, clone, dieOnCircularReference, getResourceCollections, isCache, isFilesystemOnly, iterator, setCache, size, toString`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

  `isEmpty, stream`

- ## Constructor Details

  - ### Intersect

    public Intersect()

- ## Method Details

  - ### getCollection

    protected Collection<Resource> getCollection()
    Calculate the intersection of the nested ResourceCollections.
    Specified by:
      `getCollection` in class `BaseResourceCollectionContainer`
    Returns:
      a Collection of Resources.